RagTime5DocumentInternal::ClustListParser Struct Referencefinal

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5DocumentInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, int fieldSize, std::string const &zoneName)
| constructor
| ~ClustListParser () final
| destructor
std::vector< int > | getIdList () const
| returns the not null list dataId list
std::string | getClusterDebugName (int id) const
| return the cluster name
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes
int | m_fieldSize
| the field size
std::vector< RagTime5StructManager::ZoneLink > | m_linkList
| the list of read cluster
std::map< int, librevenge::RVNGString > | m_idToNameMap
| the name

## Private Member Functions
| ClustListParser (ClustListParser &orig)
| copy constructor, not implemented
ClustListParser & | operator= (ClustListParser &orig)
| copy operator, not ximplemented

## Private Attributes
RagTime5ClusterManager & | m_clusterManager
| the main zone manager

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

## ◆ ClustListParser() [1/2]

RagTime5DocumentInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | int | fieldSize,
|  | std::string const & | zoneName )
| inline

constructor

Referenced by ClustListParser(), and operator=().

## ◆ ~ClustListParser()

RagTime5DocumentInternal::ClustListParser::~ClustListParser | ( |  | ) |
| final

destructor

Referenced by ~ClustListParser().

## ◆ ClustListParser() [2/2]

RagTime5DocumentInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

## ◆ getClusterDebugName()

std::string RagTime5DocumentInternal::ClustListParser::getClusterDebugName | ( | int | id | ) | const
| inline

return the cluster name

Referenced by parseData().

## ◆ getIdList()

std::vector< int > RagTime5DocumentInternal::ClustListParser::getIdList | ( |  | ) | const
| inline

returns the not null list dataId list

Referenced by getIdList().

## ◆ operator=()

ClustListParser & RagTime5DocumentInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| private

copy operator, not ximplemented

## ◆ parseData()

bool RagTime5DocumentInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f )
| inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_clusterManager

RagTime5ClusterManager& RagTime5DocumentInternal::ClustListParser::m_clusterManager
| private

the main zone manager

Referenced by ClustListParser(), and getClusterDebugName().

## ◆ m_fieldSize

int RagTime5DocumentInternal::ClustListParser::m_fieldSize

the field size

Referenced by ClustListParser(), and parseData().

## ◆ m_idToNameMap

std::map<int, librevenge::RVNGString> RagTime5DocumentInternal::ClustListParser::m_idToNameMap

the name

Referenced by ClustListParser(), and parseData().

## ◆ m_linkList

std::vector<RagTime5StructManager::ZoneLink> RagTime5DocumentInternal::ClustListParser::m_linkList

the list of read cluster

Referenced by ClustListParser(), getIdList(), parseData(), and RagTime5Document::readClusterLinkList().

The documentation for this struct was generated from the following file:

- RagTime5Document.cxx